import { WidgetBase } from "@csnext/cs-client";
import { GraphObject } from "@csnext/cs-data";
import { IMenu } from "@csnext/cs-core";
import { GraphData, LayoutConfig } from "@antv/g6";
import { DocDatasource } from "../..";
export default class NetworkGraph extends WidgetBase {
    data?: GraphData;
    visibleNodes: string[];
    private forceLayout?;
    private showMenu;
    private x;
    private y;
    private tab;
    private graph?;
    get source(): DocDatasource | undefined;
    tabChanged(): void;
    private settingsUpdatedDebounce;
    private graphInitDebounce;
    private viewportDebounce;
    contextMenuitems: any[];
    getShortDate(date: Date): any;
    settingsChanged(): void;
    graphChanged(): void;
    settingsUpdated(): void;
    constructor();
    resize(): void;
    updateMenu(menu: IMenu): void;
    private getElementImage;
    private updateNode;
    private updateEdge;
    fitGraph(): void;
    private fittingString;
    getLayout(): LayoutConfig | undefined;
    updateGraph(graph: GraphObject, redraw?: boolean): void;
    private loaded;
    contentLoaded(): void;
    refreshDragedNodePosition(e: any): void;
    private labelFormatter;
    updateContextMenu(a: any): void;
    getNodeStyle(): {
        type?: undefined;
        size?: undefined;
        color?: undefined;
        clipCfg?: undefined;
        style?: undefined;
        labelCfg?: undefined;
    } | {
        type: string;
        size: number[];
        color: string;
        clipCfg: {
            show: boolean;
            type: string;
            r: number;
        };
        style: {
            fill: string;
            keepVisualSize: boolean;
            lineWidth: number;
        };
        labelCfg: {
            position: string;
            autoRotate: boolean;
            style: {
                fill: string;
                fontSize: number;
            };
        };
    };
    registerChart(): void;
    initGraph(reset?: boolean): void;
    emptyGraph(): void;
    mounted(): void;
}
